Verify a gift

Use this endpoint to verify whether a gift code provided by the user is valid. The gift code has to be verified before a gift is redeemed. It returns the available redemption options for the gift.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response description

ResponseTypeDescription
redeemablebooleanGift status - whether it can be redeemed or not.
redeemModestringProvides information on a gift redeem mode - whether a new subscription will be created or an existing one will be extended as a result of redeeming a gift. If redeemable = true, the possible values are NEW, EXTEND. If redeemable = false, null will be returned.
redeemRefusalReasonstringProvides information why a gift could not be redeemed. Possible refusal reasons: REDEEMED, RECURRING_PROCESS_ALREADY_STARTED, INACTIVE OFFER, EXTERNALLY_MANAGED_SUBSCRIPTION, OFFER_GEO_RESTRICTED, PUBLISHER_GEO_RESTRICTED, SEASONAL_SUBSCRIPTION, ACTIVE_PASS,NO_REDEEM_OPTION_AVAILABLE.
extendedSubscriptionIdintegerThe identifier of a subscription that has been extended as a result of redeeming a gift.
offerIdstringThe identifier of a Cleeng offer. Example: S123123123_US.
giftobjectDetails of the gift
gift.valuenumberMonetary value of the gift
gift.currencystringCurrency of value
gift.duration.daysintegerDuration of the gift, in days
redeemOptions[]array of objectsEvery redemption option currently available for this gift.
Redeem option object:
  • mode
stringNEW, EXTEND, or SWITCH
  • subscriptionId
integerSubscription this option applies to (for EXTENDSWITCH); null for NEW
  • currentOfferId
stringOffer the customer is currently subscribed to, if any
  • giftedOfferId
stringOffer the gift grants
  • sideEffects[]
array of stringAdditional effects of choosing this option: RESUMES_SUBSCRIPTION, CANCELS_SCHEDULED_SWITCH
  • preview.endDate
timestampResulting subscription end date if this option is redeemed
  • preview.timeAdded.days
integerDays added to the subscription
  • preview.carriedOver
objectTime/value carried over from the current cycle, if applicable
  • preview.carriedOver.days
  • preview.renewal
objectResulting renewal offer/billing cycle after redemption, if applicable.
  • preview.renewal.offerId
stringID of the offer the subscription renews on after the gifted period
  • preview.renewal.billingCycle
objectHow often the customer is charged after the gifted period ends, taken from the gifted offer. Null when the gifted offer has no billing cycle.
  • preview.renewal.billingCycle.amount
integerNumber of periodUnits in one billing cycle. For example, 3 with month means the customer is charged every 3 months. Example: 1.
  • preview.renewal.billingCycle.periodUnit
stringUnit of the billing cycle: day, week, month, year or season. Example:month.
unavailableOptions[]array of objectsRedemption options that exist but are currently unavailable, with the reason why.
Unavailable option object:
  • mode
stringNEW, EXTEND, or SWITCH
  • subscriptionId
integerSubscription this option would have applied to, if any
  • currentOfferId
stringOffer the customer is currently subscribed to, if any
  • reason
stringWhy the option is unavailable: PAUSED_SUBSCRIPTION, CURRENT_CYCLE_FROM_GIFT, SWITCH_PAYMENT_IN_PROGRESS, LOWER_TIER_NOT_ALLOWED, FREE_OFFER_SUBSCRIPTION, ACTIVE_PASS, SEASONAL_SUBSCRIPTION or EXISTING_SUBSCRIPTION
Path Params
string
required

A gift code. Min length: 9, max length: 9. Example: 1A2B-3C4D.

Query Params
string
required

Customer IP address.

int32
required

The identifier of the person redeeming a gift.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json